# Method: players.get

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/players/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/players/get#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/players/get#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/players/get#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/players/get#body.response_body)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/players/get#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/players/get#try-it)

Retrieves the Player resource with the given ID. To retrieve the player for the currently authenticated user, set`playerId`to`me`.

### HTTP request

`GET https://games.googleapis.com/games/v1/players/{playerId}`

### Path parameters

|                                               Parameters                                               ||
|------------|--------------------------------------------------------------------------------------------|
| `playerId` | `string` A player ID. A value of`me`may be used in place of the authenticated player's ID. |

### Query parameters

|                                                                                                         Parameters                                                                                                         ||
|----------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`                 | `string` The preferred language to use for strings returned by this method.                                                                                                                    |
| `playerIdConsistencyToken` | `string` Consistency token of the player id. The call returns a 'not found' result when the token is present and invalid. Empty value is ignored. See also GlobalPlayerIdConsistencyTokenProto |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of[Player](https://developer.android.com/games/services/web/api/rest/v1/players#Player).

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).